commit 58ef1c521c15d3c7755e0f96b472b625122ab609
Author: Gaius Mulley <gaiusmod2@gmail.com>
Date:   Mon Dec 2 21:34:38 2024 +0000

    [PATCH] PR modula2/116918 -fswig correct syntax fixup
    
    This patch adds a missing % escape in DoCheckUnbounded.
    
    gcc/m2/ChangeLog:
    
            PR modula2/116918
            * gm2-compiler/M2Swig.mod (DoCheckUnbounded): Escape
            the % character used in array_functions with %%.
    
    (cherry picked from commit e2a701cd0419a1898a2a359711572a8bcf4f8eb3)
    
    Signed-off-by: Gaius Mulley <gaiusmod2@gmail.com>

diff --git a/gcc/m2/gm2-compiler/M2Swig.mod b/gcc/m2/gm2-compiler/M2Swig.mod
index b7f34426adb..7ef8ff36da7 100644
--- a/gcc/m2/gm2-compiler/M2Swig.mod
+++ b/gcc/m2/gm2-compiler/M2Swig.mod
@@ -887,7 +887,7 @@ BEGIN
          fprintf0(f, ') };\n') ;
          IF typeUnique
          THEN
-            fprintf0(f, '%array_functions(') ;
+            fprintf0(f, '%%array_functions(') ;
             DoType(type) ;
             fprintf0(f, ', ') ;
             DoType(type) ;

